<template>
  <div class="end-card">
    <video class="end-card__video" autoplay muted :playbackRate="playbackSpeed">
      <source src="../assets/video/logo.mp4" type="video/mp4" />
    </video>

    <audio :src="logo" autoplay />
  </div>
</template>

<script lang="ts" setup>
import logo from '../assets/audio/logo.mp3';

const props = defineProps<{
  playbackSpeed: number;
}>();
</script>

<style scoped>
.end-card {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--brand-orange);
  animation: 3s ease 0s normal forwards 1 fadein;
  z-index: -1;
}
@keyframes fadein {
  0% {
    opacity: 0;
  }
  22% {
    opacity: 1;
  }
  100% {
    opacity: 1;
  }
}

.end-card__video {
  width: 100%;
  height: auto;
}
</style>
